> For the complete documentation index, see [llms.txt](https://docs.morpara.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.morpara.com/tr/en/api-documentation/editor/non-3ds-payment.md).

# Non-3DS Payment

Allows merchants to send payment requests without 3D verification.

### Endpoint

```http
POST /v1/Payment/DoPayment
```

***

### Headers

| Key            | Type   | Description                          | Example              |
| -------------- | ------ | ------------------------------------ | -------------------- |
| x-ClientID     | String | Unique identifier for the API client | your-client-id       |
| x-ClientSecret | String | Secret key for the API client        | your-secret-key      |
| x-GrantType    | String | Type of access token used            | client\_credentials  |
| x-Scope        | String | API scope                            | pf\_write, pf\_read  |
| x-Timestamp    | String | Request timestamp (ISO 8601)         | 2024-12-17T12:34:56Z |

***

### Request Body

| Field                               | Required | Type    | Description                                  | Example                                      |
| ----------------------------------- | -------- | ------- | -------------------------------------------- | -------------------------------------------- |
| merchantId                          | ✅        | String  | Unique identifier for the merchant           | 100000000000004                              |
| returnUrl                           | ✅        | URL     | Redirect URL after successful transaction    | <https://www.example.com/success>            |
| failUrl                             | ✅        | URL     | Redirect URL after failed transaction        | <https://www.example.com/error>              |
| paymentMethod                       | ✅        | String  | Type of payment method                       | CARDPAYMENT                                  |
| language                            | ✅        | String  | Transaction language                         | tr                                           |
| conversationId                      | ✅        | String  | Unique ID for tracking                       | MSD2024030500000000115                       |
| sign                                | ✅        | String  | Digital signature of the request             | AAVWY3RZKJVVCEAD8LDQB4KWJL4QX/IQQRGQ3XIWAAG= |
| paymentInstrumentType               | ✅        | String  | Type of payment instrument                   | CARD                                         |
| cardDetails.cardNo                  | ✅        | String  | Card number                                  | 4508034508034581                             |
| cardDetails.expDate                 | ✅        | String  | Card expiration date (in MMyy format)        | 1226                                         |
| cardDetails.cvv                     | ✅        | String  | Card security code                           | 000                                          |
| transactionDetails.transactionType  | ✅        | String  | Transaction type                             | SALE                                         |
| transactionDetails.installmentCount | ✅        | Integer | Number of installments                       | 1                                            |
| transactionDetails.amount           | ✅        | Float   | Transaction amount                           | 60.00                                        |
| transactionDetails.currencyCode     | ✅        | Integer | Currency code (for example Turkish Lira=949) | 949                                          |
| transactionDetails.vftFlag          | ❌        | Boolean | Whether VFT is enabled (optional)            | false                                        |
| cardHolderInfo.cardHolderName       | ✅        | String  | Cardholder's name                            | Selim Dil                                    |
| cardHolderInfo.buyerGsm             | ✅        | String  | Buyer's GSM number                           | 55555555                                     |
| extraParameter.pfSubMerchantId      | ❌        | String  | Sub-merchant ID (if any)                     | 12345                                        |

#### Sample Request

```json
{
  "merchantId": "100000000000004",
  "returnUrl": "https://www.example.com/success",
  "failUrl": "https://www.example.com/error",
  "paymentMethod": "CARDPAYMENT",
  "language": "tr",
  "conversationId": "MSD2024030500000000115",
  "sign": "AAVWY3RZKJVVCEAD8LDQB4KWJL4QX/IQQRGQ3XIWAAG=",
  "paymentInstrumentType": "CARD",
  "cardDetails": {
    "cardNo": "4508034508034581",
    "expDate": "1226",
    "cvv": "000"
  },
  "transactionDetails": {
    "transactionType": "SALE",
    "installmentCount": 1,
    "amount": 60.00,
    "currencyCode": 949,
    "vftFlag": false
  },
  "cardHolderInfo": {
    "cardHolderName": "Selim Dil",
    "buyerGsm": "55555555"
  },
  "extraParameter": {
    "pfSubMerchantId": "12345"
  }
}
```

#### Sample Response

```json
{
  "code": "B0000",
  "message": "Approved",
  "resultCode": "B0000",
  "resultDescription": "Approved",
  "responseDate": "05/02/2025 15:09:09",
  "conversationId": "YBS11108699401304534",
  "orderId": "5000000045202502030041",
  "paymentId": "5000000045202502030041",
  "bankUniqueReferenceNumber": "503615446559",
  "transactionDate": "05/02/2025 15:09:09",
  "currency": "949",
  "authCode": "655050",
  "paymentInstrumentType": "CARDPAYMENT",
  "sign": "AAVWY3RZKJVVCEAD8LDQB4KWJL4QX/IQQRGQ3XIWAAG=",
  "instrumentDetail": {
    "maskedCardNumber": "524677******3508",
    "cardType": "CARD"
  },
  "paymentInfo": {
    "installmentCount": 1,
    "payFacCommissionRate": 1.00,
    "amount": 25.00,
    "payFacCommissionAmount": 0.2500
  },
  "okUrl": null,
  "failUrl": null
}

```
